debug.log Errors and Warnings

I am receiving the following errors and warnings on my ChristianGays.com site, to a point that my debug.log grows very large and I have to keep deleting it. Can you please help me to resolve them. There are 3.

1. [30-Mar-2017 04:05:51 America/Toronto] [WPMUDEV API Error] 4.3 | cURL error 6: Couldn't resolve host 'premium.wpmudev.org' ((unknown URL) [500])

2. [30-Mar-2017 10:58:50 UTC] PHP Notice: is_404 was called incorrectly. Conditional query tags do not work before the query is run. Before then, they always return false. Please see Debugging in WordPress for more information. (This message was added in version 3.1.0.) in /home/mary/public_html/wp-includes/functions.php on line 4137

3. [30-Mar-2017 06:43:12 UTC] PHP Notice: WP_Query was called incorrectly. The shop_order_status taxonomy is no more in WooCommerce 2.2! You should use the new WooCommerce post_status instead, read more... Please see Debugging in WordPress for more information. (This message was added in version WooCommerce 2.2.) in /home/mary/public_html/wp-includes/functions.php on line 4137

(I read the info on link given but don't know what to do about it.)

Support Access is granted.
Thank you.

  • Vaughan

    Hi Mary,

    Hope you're well?

    1. [30-Mar-2017 04:05:51 America/Toronto] [WPMUDEV API Error] 4.3 | cURL error 6: Couldn't resolve host 'premium.wpmudev.org' ((unknown URL) [500])

    This is due to your server not being able to resolve the host name, the likely cause of this is that they cached a DNS lookup at a time when our server was temporarily down. This will usually clear itself up within 24hrs, so it's just a matter of waiting, there's nothing we can do on our side.

    2. [30-Mar-2017 10:58:50 UTC] PHP Notice: is_404 was called incorrectly. Conditional query tags do not work before the query is run. Before then, they always return false. Please see Debugging in WordPress for more information. (This message was added in version 3.1.0.) in /home/mary/public_html/wp-includes/functions.php on line 4137

    3. [30-Mar-2017 06:43:12 UTC] PHP Notice: WP_Query was called incorrectly. The shop_order_status taxonomy is no more in WooCommerce 2.2! You should use the new WooCommerce post_status instead, read more... Please see Debugging in WordPress for more information. (This message was added in version WooCommerce 2.2.) in /home/mary/public_html/wp-includes/functions.php on line 4137

    Looks like one of your plugins might need updating to work with the version of Woocmmerce on your site.

    Disable all plugins, and then activate 1 at a time, go through the store pages. Then check the log file again to see if you receive the error message again.

    Repeat this process until you see the error message appear again, once it does, you will know the last plugin activated is what is causing the error.

    See the flowchart on the following page:

    https://premium.wpmudev.org/manuals/getting-support/

    Hope this helps

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.